You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2005-08-14 23:42:34
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19899 Modified Files: md5sum.lst Log Message: - updated iptables to v1.3.3 - disabled OS fingerprinting module for iptables/netfilter Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.220 retrieving revision 1.221 diff -u -d -r1.220 -r1.221 --- md5sum.lst 12 Aug 2005 00:45:26 -0000 1.220 +++ md5sum.lst 14 Aug 2005 23:42:26 -0000 1.221 @@ -191,7 +191,7 @@ c573fc723df04e90085a6a95b1da5b7e src/iproute2-2.6.9_ss040831-remove_db-1.patch.bz2 4079036ec0283341d37f96ce9ae1a932 src/iproute2-2.6.9-ss040831.tar.gz 057e3b64bd60f5af85c2dfba8c8a0347 src/ipsec-tools-0.5.beta2.tar.bz2 -c3358a3bd0d7755df0b64a5063db296b src/iptables-1.3.1.tar.bz2 +86d88455520cfdc56fd7ae27897a80a4 src/iptables-1.3.3.tar.bz2 7ff0bc933a0a57a4ca9e2b0443307539 src/iptraf-2.7.0.tar.gz 717b13d5b6521ac1b8683caf1dc247a0 src/iptstate-1.4.tar.bz2 71f42012f6895d6ac541a15a47c3e2c8 src/iputils_20020927-1.diff.gz |
|
From: Heiko Z. <smi...@us...> - 2005-08-14 23:42:34
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19899/scripts/config Modified Files: patch-o-matic.exclude Log Message: - updated iptables to v1.3.3 - disabled OS fingerprinting module for iptables/netfilter Index: patch-o-matic.exclude =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/patch-o-matic.exclude,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- patch-o-matic.exclude 9 Jun 2005 03:57:49 -0000 1.9 +++ patch-o-matic.exclude 14 Aug 2005 23:42:26 -0000 1.10 @@ -7,7 +7,7 @@ #base/NETLINK #base/NETMAP #base/nth -#base/osf +base/osf #base/psd #base/quota #base/random |
|
From: Heiko Z. <smi...@us...> - 2005-08-14 23:40:54
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19655 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated iptables to v1.3.3 - disabled OS fingerprinting module for iptables/netfilter Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.140 retrieving revision 1.807.2.141 diff -u -d -r1.807.2.140 -r1.807.2.141 --- CHANGES 12 Aug 2005 00:37:43 -0000 1.807.2.140 +++ CHANGES 14 Aug 2005 23:40:42 -0000 1.807.2.141 @@ -22,6 +22,8 @@ # 1.2.7 +- updated iptables to v1.3.3 +- disabled OS fingerprinting module for iptables/netfilter - updated clamav to 0.86.2 - updated cpqarrayd to 2.2 - updated dhcpcd to 2.0.0 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.81 retrieving revision 1.102.2.82 diff -u -d -r1.102.2.81 -r1.102.2.82 --- md5sum.lst 12 Aug 2005 00:37:43 -0000 1.102.2.81 +++ md5sum.lst 14 Aug 2005 23:40:42 -0000 1.102.2.82 @@ -166,7 +166,7 @@ ac343233aa5d745341da9e4ec22475af src/iproute_20010824-11.diff.gz b05a4e375d9468be3a1dd3f0e83daee8 src/iproute_20010824.orig.tar.gz 43f2d19eab30e254846626c21fc355be src/ipsec-tools-0.4b1.tar.gz -c3358a3bd0d7755df0b64a5063db296b src/iptables-1.3.1.tar.bz2 +86d88455520cfdc56fd7ae27897a80a4 src/iptables-1.3.3.tar.bz2 7ff0bc933a0a57a4ca9e2b0443307539 src/iptraf-2.7.0.tar.gz 717b13d5b6521ac1b8683caf1dc247a0 src/iptstate-1.4.tar.bz2 71f42012f6895d6ac541a15a47c3e2c8 src/iputils_20020927-1.diff.gz |
|
From: Heiko Z. <smi...@us...> - 2005-08-14 23:40:54
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19655/scripts/config Modified Files: Tag: rel-1-2-patches patch-o-matic.exclude Log Message: - updated iptables to v1.3.3 - disabled OS fingerprinting module for iptables/netfilter Index: patch-o-matic.exclude =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/patch-o-matic.exclude,v retrieving revision 1.4.2.3 retrieving revision 1.4.2.4 diff -u -d -r1.4.2.3 -r1.4.2.4 --- patch-o-matic.exclude 9 Jun 2005 03:55:59 -0000 1.4.2.3 +++ patch-o-matic.exclude 14 Aug 2005 23:40:42 -0000 1.4.2.4 @@ -7,7 +7,7 @@ #base/NETLINK #base/NETMAP #base/nth -#base/osf +base/osf #base/psd #base/quota #base/random |
|
From: Heiko Z. <smi...@us...> - 2005-08-12 00:45:35
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv21508/scripts Modified Files: cron dhcpcd shadow zlib Log Message: - updated clamav to 0.86.2 - updated cpqarrayd to 2.2 - updated dhcpcd to 2.0.0 - updated fetchmail to 6.2.5.2 - updated frox to 0.7.18 - updated gnupg to 1.4.2 - updated mc to 4.6.1 - updated net-snmp to 5.1.3.1 - updated pcre to 6.2 - updated postfix to 2.2.5 - updated pptpd to 1.2.3 - updated pptp-linux to 1.6.0 - updated shadow to 4.0.11.1 - updated util-linux to 2.12q - updated zlib to 1.2.3 Index: cron =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/cron,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- cron 5 Aug 2005 18:22:38 -0000 1.22 +++ cron 12 Aug 2005 00:45:26 -0000 1.23 @@ -35,12 +35,12 @@ install ) if [ "$CONFIG_CRON" = "y" ]; then - rm -rf $TMPDIR - mkdir -p $TMPDIR/usr/sbin - mkdir -p $TMPDIR/usr/bin - make install DESTDIR=$TMPDIR + rm -rf $WORKDIR/tmp + mkdir -p $WORKDIR/tmp/usr/sbin + mkdir -p $WORKDIR/tmp/usr/bin + make install DESTDIR=$WORKDIR/tmp mkdir -p $ETCDIR/etc/cron.d || exit 1 - cp -dpR $TMPDIR/usr $CDDIR || exit 1 + cp -dpR $WORKDIR/tmp/usr $CDDIR || exit 1 cp -p $MYDIR/scripts/crontab $ETCDIR/etc/ || exit 1 cp -p $MYDIR/scripts/cron $ETCDIR/etc/init.d || exit 1 cp -p $MYDIR/scripts/cron.interval $CDDIR/usr/sbin/ || exit 1 @@ -52,7 +52,7 @@ echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"$MYNAME is a periodic command scheduler.\"" >> $SOFTWAREHELP - rm -rf $TMPDIR || exit 1 + rm -rf $WORKDIR/tmp || exit 1 copy_man fi ;; Index: shadow =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/shadow,v retrieving revision 1.21 retrieving revision 1.22 diff -u -d -r1.21 -r1.22 --- shadow 12 Dec 2004 21:48:09 -0000 1.21 +++ shadow 12 Aug 2005 00:45:26 -0000 1.22 @@ -25,7 +25,7 @@ case $1 in build ) - ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared || exit 1 + ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp --enable-shadowgrp || exit 1 make $PMAKE || exit 1 strip_debug @@ -45,7 +45,7 @@ chmod 700 $TMPDIR/bin/login || exit 1 chmod 4550 $TMPDIR/bin/su || exit 1 chgrp wheel $TMPDIR/bin/su || exit 1 - chmod -c go-rx $TMPDIR/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,mkpasswd,newusers,pw[cu]*,user*} || exit 1 + chmod -c go-rx $TMPDIR/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,newusers,pw[cu]*,user*} || exit 1 copy_man ./man rm -rf $TMPDIR/usr/share rm -rf $TMPDIR/lib/*.a Index: zlib =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/zlib,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- zlib 20 Jul 2005 14:41:04 -0000 1.11 +++ zlib 12 Aug 2005 00:45:26 -0000 1.12 @@ -25,14 +25,14 @@ case $1 in build ) - if [ ! -f devil-linux-zlib-patches.done ]; then - for PATCH in $(ls ../zlib-patches/*) - do - echo applying patch: $PATCH - patch -i $PATCH -p0 || exit 1 - done - touch devil-linux-zlib-patches.done - fi + #if [ ! -f devil-linux-zlib-patches.done ]; then + # for PATCH in $(ls ../zlib-patches/*) + # do + # echo applying patch: $PATCH + # patch -i $PATCH -p0 || exit 1 + # done + # touch devil-linux-zlib-patches.done + #fi ./configure --prefix=/usr || exit 1 make $PMAKE all || exit 1 strip_debug Index: dhcpcd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/dhcpcd,v retrieving revision 1.13 retrieving revision 1.14 diff -u -d -r1.13 -r1.14 --- dhcpcd 8 May 2005 16:24:18 -0000 1.13 +++ dhcpcd 12 Aug 2005 00:45:26 -0000 1.14 @@ -27,6 +27,7 @@ build ) if [ ! -f pathnames.h.org ]; then echo -n patching dhcpcd... + cd src cp pathnames.h pathnames.h.org ORGPATH=/etc/dhcpc NEWPATH=/etc/sysconfig/network/scripts @@ -37,16 +38,17 @@ sed -e "s|$ORGPATH|$NEWPATH|" dhcpcd.exe > dhcpcd.exe2 mv dhcpcd.exe2 dhcpcd.exe echo done + cd .. fi ./configure --prefix=/usr || exit 1 make $PMAKE all || exit 1 - strip_debug make install || exit 1 + strip_debug ;; install ) - copy_files ./dhcpcd $CDDIR/usr/sbin/ || exit 1 - copy_files ./dhcpcd.exe $ETCDIR/etc/sysconfig/network/scripts/ || exit 1 + copy_files ./src/dhcpcd $CDDIR/usr/sbin/ || exit 1 + copy_files ./src/dhcpcd.exe $ETCDIR/etc/sysconfig/network/scripts/ || exit 1 chmod 755 $ETCDIR/etc/sysconfig/network/scripts/dhcpcd.exe || exit 1 copy_man ;; |
|
From: Heiko Z. <smi...@us...> - 2005-08-12 00:45:35
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv21508 Modified Files: CHANGES md5sum.lst Log Message: - updated clamav to 0.86.2 - updated cpqarrayd to 2.2 - updated dhcpcd to 2.0.0 - updated fetchmail to 6.2.5.2 - updated frox to 0.7.18 - updated gnupg to 1.4.2 - updated mc to 4.6.1 - updated net-snmp to 5.1.3.1 - updated pcre to 6.2 - updated postfix to 2.2.5 - updated pptpd to 1.2.3 - updated pptp-linux to 1.6.0 - updated shadow to 4.0.11.1 - updated util-linux to 2.12q - updated zlib to 1.2.3 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.962 retrieving revision 1.963 diff -u -d -r1.962 -r1.963 --- CHANGES 5 Aug 2005 18:22:37 -0000 1.962 +++ CHANGES 12 Aug 2005 00:45:26 -0000 1.963 @@ -22,6 +22,21 @@ # 1.3.2 +- updated clamav to 0.86.2 +- updated cpqarrayd to 2.2 +- updated dhcpcd to 2.0.0 +- updated fetchmail to 6.2.5.2 +- updated frox to 0.7.18 +- updated gnupg to 1.4.2 +- updated mc to 4.6.1 +- updated net-snmp to 5.1.3.1 +- updated pcre to 6.2 +- updated postfix to 2.2.5 +- updated pptpd to 1.2.3 +- updated pptp-linux to 1.6.0 +- updated shadow to 4.0.11.1 +- updated util-linux to 2.12q +- updated zlib to 1.2.3 - Updated cron to v4.1 (bs) fixed defunct processes problem - updated db-4 to 4.3.28 - updated pcre to 6.1 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.219 retrieving revision 1.220 diff -u -d -r1.219 -r1.220 --- md5sum.lst 5 Aug 2005 18:22:37 -0000 1.219 +++ md5sum.lst 12 Aug 2005 00:45:26 -0000 1.220 @@ -1,6 +1,8 @@ 7ae34972694127e8f1c9a2af1c24585b src/perl-ext/Date-Calc-5.4.tar.gz fe3e8c65718368a3fa653e592f82248b src/perl-ext/DBD-mysql-2.9004.tar.gz f1b0d9292f79daea32aa6a4772c95280 src/perl-ext/DB_File-1.809.tar.gz +ceaa35210d70e9762a3de5426d4d9235 src/perl-ext/DBI-1.43.tar.gz +0be11a354b98355b7fba4acc15a32bda src/perl-ext/DBI-1.47.tar.gz c5e72337b03fee818aadba05d2af23d9 src/perl-ext/DBI-DBD-mysql-2.9004.tar.gz 22e455279daa8e047fb481865a635875 src/perl-ext/DBI-DBD-Pg-1.32.tar.gz ff67433be423c036b71e60dfddb5cdd5 src/perl-ext/Digest-1.08.tar.gz @@ -68,7 +70,7 @@ 6c5683a6f85c89cc163307a5e434086c src/cdrtools-2.01.01a03.tar.bz2 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz 9d88f2d090fcafcd0e2fa73b018b6e16 src/cipe-1.5.4.tar.gz -df7116898cdd80ce56721a91e9cff206 src/clamav-0.86.1.tar.gz +870de14ba123d6e9cba9850498c49f5d src/clamav-0.86.2.tar.gz 0c030b9eb8f0d36daae5a32b8920dfd0 src/compartment-1.2-suse-patches.diff.bz2 2df15081f6475e6331cdd813f9d0918c src/compartment-1.2.tar.bz2 80a2ce34e6ac028ffd3f3700c451d1c6 src/compartment-env.diff.bz2 @@ -77,7 +79,7 @@ 172ee3c315af93d3385ddfbeb843c53f src/coreutils-5.2.1.tar.bz2 f229958a55e2a14a8005d8bc483b427c src/coreutils-patches.tar.bz2 e02859af1bbbbd73fcbf757acb57e0a4 src/cpio-2.5.tar.gz -c53247d26e769d154a810a498dd0322c src/cpqarrayd-2.0.tar.gz +d287d1ad9317443063aff1098f7bc4f4 src/cpqarrayd-2.2.tar.gz c3331c0509e5f1e1ce26502d8be0c70b src/cron-4.1.tar.bz2 a84124caadd4103270e0b84596ecfe83 src/ctags-5.5.4.tar.gz e0eb377840b01e11e5cd008ae9b7d2af src/cutter-1.02.tgz @@ -92,7 +94,7 @@ a7a97c469f22e3ec2cdcb5aae5603f3f src/device-mapper.1.00.19.tgz 061a8a7099bb0e2b05279ee649426321 src/dhcp-3.0.1-fix_gcc_3.4.3_compile_error-1.patch.bz2 44f72d16a12acc3fbe09703157aa42d2 src/dhcp-3.0.1.tar.gz -dd627a121e43835bead3ffef5b1a72fd src/dhcpcd-1.3.22-pl4.tar.gz +b84d34a44b6667ea012e0aad4f9d71bd src/dhcpcd-2.0.0.tar.bz2 de491252e0329e67aed27d1d01eed120 src/dialog_0.9b-20030308.orig.tar.gz 27ce98d689599f41639ab5c383b17e32 src/diffutils-2.8.1.tar.bz2 8ac5c032cde68c525afe9f53eae5cbf7 src/distcc-2.17.tar.bz2 @@ -120,11 +122,11 @@ 000211add4c4845ffa4211841bff4fb0 src/ez-ipupdate-3.0.11b8.tar.gz 1bf3ae6c0c58d3201afc97c6a4834e39 src/fam-2.7.0.tar.gz f60cb2a3378bb392c86ea6e4f8006cc0 src/fblogo-0.5.2.tar.gz -9956b30139edaa4f5f77c4d0dbd80225 src/fetchmail-6.2.5.tar.gz +6eefef076bf3517a870f27a6133ff8c4 src/fetchmail-6.2.5.2.tar.gz 66983e60087e8bcd588c8ab38a861af0 src/file-4.14.tar.gz 7c8e12165b221dd67a19c00d780437a4 src/findutils-4.2.20.tar.gz ca3f1990522815ccd0a78e9de3afad43 src/freeramdisk.tar.gz -52cd220295c09577753f5261b18f0b16 src/frox-0.7.17.tar.bz2 +d30c35b9820d706ff2f9a6ab3b501247 src/frox-0.7.18.tar.bz2 a0aa323568862e23fdbc6473ce6a01b5 src/fwlogwatch-1.0.tar.bz2 a116eec17e7ba085febb74c7758823bd src/gawk-3.1.3.tar.bz2 1b8d1fb1491ddb0a615bcdd346494801 src/gcc-3.4.1-linkonce-1.patch.bz2 @@ -249,7 +251,7 @@ fc30378641cda1bb4e51f39cefd9249a src/makedepend.tar.bz2 ead468e61db27ffb4e416a15bc40aaeb src/man-1.5o1.tar.bz2 7e2d47fb1c3176812e8fd03572e52c92 src/man-pages-1.65.tar.bz2 -70804dc9e2049e24f294ff7090a82a12 src/mc-4.6.0.tar.gz +18b20db6e40480a53bac2870c56fc3c4 src/mc-4.6.1.tar.gz 3c7d6b3ca73ef12136746a8d06fc27a8 src/mcrypt-2.6.3.tar.gz 4de899ddb1ede1d2cafd183794874ce1 src/mdadm-1.12.0.tgz 46028d276c39c2eebe7759ba813f97df src/memtest86-3.2.tar.gz @@ -278,7 +280,7 @@ 66cf8dacec848eb11a70632fe9f21807 src/ncftp-3.1.9-src.tar.bz2 236968460fe1a1d0e293a9c5e6f10805 src/ncurses-5.4.tar.bz2 e8562d18b7b560887a96824cbc89a77f src/netacct-mysql-0.76.tar.gz -8080555ab3f90011f25d5122042d9a8d src/net-snmp-5.1.2.tar.gz +a66808688d85b6ecd2d387d155923fda src/net-snmp-5.1.3.1.tar.gz e4da725325c175f1b4c114c5e305cfa8 src/net-tools_1.60-9.diff.gz 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz @@ -300,7 +302,7 @@ 6357c6487f17f5094980ee2d804644ef src/pci.ids.bz2 1d40f90aaae69594790bdb8ff90b4a41 src/pciutils-2.1.11.tar.gz 0d6d65be8896eff081aee996049afaa5 src/pcmcia-cs-3.2.8.tar.gz -069a8c34df7ec4bd0dad8f26c64c9dd3 src/pcre-6.1.tar.bz2 +d8a2024eb56c331bb5c55601c3cd9ce1 src/pcre-6.2.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz 49baa8d7d29b4a9713c06edeb81e6b1b src/perl-5.8.5.tar.gz fb1aac107870f897d26563a9cc5053c0 src/php-5.0.4.tar.bz2 @@ -310,12 +312,12 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz c203e22f74bdd968ee11105dd2a80ec0 src/portslave_2002.01.19.tar.gz -77394db3a4ebe578fa453502040698ac src/postfix-2.2.4.tar.gz +9c13d58494c64012bfd8ab0d6967305c src/postfix-2.2.5.tar.gz b79761ec3735b5851db44429e97bee88 src/postgresql-7.4.8.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz c7fab5313c232117392297a552829074 src/ppp-patches.tar.bz2 -067e9474998345485ba1e92cc5ff59c6 src/pptpd-1.2.1.tar.gz -281ee37788bdf3260426eca56a9af858 src/pptp-linux-1.5.0.tar.gz +a521e40ca304b0c125cc25f9b9d03324 src/pptpd-1.2.3.tar.gz +cd75c737718ac656e336709ccefab883 src/pptp-linux.1.6.0.tar.bz2 8bf8a24d79f5ae9759e1aacd1a3e98f2 src/pptp-patches.tar.bz2 1dfcb6e8aeb44a78d4bba53a99d7957c src/prism54-1.1.tar.bz2 134704f59307cfd3d6b1270a1aab62a4 src/prism54firmware.tar.bz2 @@ -350,7 +352,7 @@ 952fadd9f76e128ee9a4be350a647713 src/ser-0.8.12_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz 35f478c718c099f4c687602a1a99711d src/sg3_utils-1.12.tgz -89ebec0d1c0d861a5bd5c4c63e5cb0cc src/shadow-4.0.7.tar.bz2 +e60b7b16128b9e00576073389a0ff1e6 src/shadow-4.0.11.1.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz e454f4af193b8546d3c75fb82647051a src/shorewall-2.2.5.tgz fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz @@ -391,9 +393,7 @@ 8a25712aac642430d87d21491f7c6bd1 src/unzip551.tar.gz ff9002fdc1b99a9c4d1ebc52605297f0 src/usb.ids.bz2 05157bed61af65749f02713c10b8ef26 src/usbutils-0.11.tar.gz -2b15af16592be86009e7ff334cc9a206 src/util-linux-2.12p-cramfs-1.patch.bz2 -ad0c113cdc63ea131628fcc5ef6cc65a src/util-linux-2.12p-fPIC-1.patch.bz2 -d47e820f6880c21c8b4c0c7e8a7376cc src/util-linux-2.12p.tar.gz +54320aa1abbce00c0dc030e2c3afe5d7 src/util-linux-2.12q.tar.bz2 821fda8f14d674346b87e3ef9cb96389 src/vim-6.3.tar.bz2 1edd81324b4ffc0702c9ff289a342d91 src/vlan.1.8.tar.gz dec2837d33fbc1f96f77014d01739126 src/vobcopy-0.5.13.tar.bz2 @@ -417,5 +417,5 @@ 4a6792c367a3e01e4af7b07f449039e9 src/yp-tools-2.8.tar.bz2 5206a99541f3b0ab90f1baa167392c4f src/zip23.tar.gz b1439812746bd6176401fcdac82eeabf src/zisofs-tools-1.0.6.tar.bz2 -1b8aab042d40979e456194c468fd72c5 src/zlib-1.2.2.tar.bz2 +debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz cf52a9c970b97cab7c664d7435c7f7cf src/zlib-patches.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2005-08-12 00:37:53
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv20131/scripts Modified Files: Tag: rel-1-2-patches dhcpcd shadow zlib Log Message: - updated clamav to 0.86.2 - updated cpqarrayd to 2.2 - updated dhcpcd to 2.0.0 - updated fetchmail to 6.2.5.2 - updated frox to 0.7.18 - updated gnupg to 1.4.2 - updated mc to 4.6.1 - updated net-snmp to 5.1.3.1 - updated pcre to 6.2 - updated postfix to 2.2.5 - updated pptpd to 1.2.3 - updated pptp-linux to 1.6.0 - updated shadow to 4.0.11.1 - updated util-linux to 2.12q - updated zlib to 1.2.3 Index: shadow =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/shadow,v retrieving revision 1.16.2.1 retrieving revision 1.16.2.2 diff -u -d -r1.16.2.1 -r1.16.2.2 --- shadow 7 Nov 2004 21:43:29 -0000 1.16.2.1 +++ shadow 12 Aug 2005 00:37:43 -0000 1.16.2.2 @@ -25,7 +25,7 @@ case $1 in build ) - ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared || exit 1 + ./configure --prefix=/usr --disable-nls --with-gnu-ld --enable-shared --enable-shadowgrp || exit 1 make $PMAKE || exit 1 strip_debug @@ -45,7 +45,7 @@ chmod 700 $WORKDIR/tmp/bin/login || exit 1 chmod 4550 $WORKDIR/tmp/bin/su || exit 1 chgrp wheel $WORKDIR/tmp/bin/su || exit 1 - chmod -c go-rx $WORKDIR/tmp/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,mkpasswd,newusers,pw[cu]*,user*} || exit 1 + chmod -c go-rx $WORKDIR/tmp/usr/sbin/{chpasswd,group*,grp[cu]*,logoutd,newusers,pw[cu]*,user*} || exit 1 copy_man ./man rm -rf $WORKDIR/tmp/usr/share rm -rf $WORKDIR/tmp/lib/*.a Index: zlib =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/zlib,v retrieving revision 1.10.2.1 retrieving revision 1.10.2.2 diff -u -d -r1.10.2.1 -r1.10.2.2 --- zlib 20 Jul 2005 14:32:19 -0000 1.10.2.1 +++ zlib 12 Aug 2005 00:37:43 -0000 1.10.2.2 @@ -25,14 +25,14 @@ case $1 in build ) - if [ ! -f devil-linux-zlib-patches.done ]; then - for PATCH in $(ls ../zlib-patches/*) - do - echo applying patch: $PATCH - patch -i $PATCH -p0 || exit 1 - done - touch devil-linux-zlib-patches.done - fi + #if [ ! -f devil-linux-zlib-patches.done ]; then + # for PATCH in $(ls ../zlib-patches/*) + # do + # echo applying patch: $PATCH + # patch -i $PATCH -p0 || exit 1 + # done + # touch devil-linux-zlib-patches.done + #fi ./configure --prefix=/usr || exit 1 make $PMAKE all || exit 1 strip_debug Index: dhcpcd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/dhcpcd,v retrieving revision 1.12.2.1 retrieving revision 1.12.2.2 diff -u -d -r1.12.2.1 -r1.12.2.2 --- dhcpcd 8 May 2005 16:08:03 -0000 1.12.2.1 +++ dhcpcd 12 Aug 2005 00:37:43 -0000 1.12.2.2 @@ -27,6 +27,7 @@ build ) if [ ! -f pathnames.h.org ]; then echo -n patching dhcpcd... + cd src cp pathnames.h pathnames.h.org ORGPATH=/etc/dhcpc NEWPATH=/etc/sysconfig/network/scripts @@ -37,6 +38,7 @@ sed -e "s|$ORGPATH|$NEWPATH|" dhcpcd.exe > dhcpcd.exe2 mv dhcpcd.exe2 dhcpcd.exe echo done + cd .. fi ./configure --prefix=/usr || exit 1 make $PMAKE all || exit 1 @@ -45,8 +47,8 @@ ;; install ) - copy_files ./dhcpcd $CDDIR/usr/sbin/ || exit 1 - copy_files ./dhcpcd.exe $ETCDIR/etc/sysconfig/network/scripts/ || exit 1 + copy_files ./src/dhcpcd $CDDIR/usr/sbin/ || exit 1 + copy_files ./src/dhcpcd.exe $ETCDIR/etc/sysconfig/network/scripts/ || exit 1 chmod 755 $ETCDIR/etc/sysconfig/network/scripts/dhcpcd.exe || exit 1 copy_man ;; |
|
From: Heiko Z. <smi...@us...> - 2005-08-12 00:37:53
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv20131 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated clamav to 0.86.2 - updated cpqarrayd to 2.2 - updated dhcpcd to 2.0.0 - updated fetchmail to 6.2.5.2 - updated frox to 0.7.18 - updated gnupg to 1.4.2 - updated mc to 4.6.1 - updated net-snmp to 5.1.3.1 - updated pcre to 6.2 - updated postfix to 2.2.5 - updated pptpd to 1.2.3 - updated pptp-linux to 1.6.0 - updated shadow to 4.0.11.1 - updated util-linux to 2.12q - updated zlib to 1.2.3 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.139 retrieving revision 1.807.2.140 diff -u -d -r1.807.2.139 -r1.807.2.140 --- CHANGES 9 Aug 2005 13:47:01 -0000 1.807.2.139 +++ CHANGES 12 Aug 2005 00:37:43 -0000 1.807.2.140 @@ -22,6 +22,21 @@ # 1.2.7 +- updated clamav to 0.86.2 +- updated cpqarrayd to 2.2 +- updated dhcpcd to 2.0.0 +- updated fetchmail to 6.2.5.2 +- updated frox to 0.7.18 +- updated gnupg to 1.4.2 +- updated mc to 4.6.1 +- updated net-snmp to 5.1.3.1 +- updated pcre to 6.2 +- updated postfix to 2.2.5 +- updated pptpd to 1.2.3 +- updated pptp-linux to 1.6.0 +- updated shadow to 4.0.11.1 +- updated util-linux to 2.12q +- updated zlib to 1.2.3 - firewall rules support for BScap captive portal (not on default) (bs) - fixes to upgrade-config (bs) - updated cron to v4.1 (bs) fixes defunct process problem Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.80 retrieving revision 1.102.2.81 diff -u -d -r1.102.2.80 -r1.102.2.81 --- md5sum.lst 5 Aug 2005 18:18:10 -0000 1.102.2.80 +++ md5sum.lst 12 Aug 2005 00:37:43 -0000 1.102.2.81 @@ -56,7 +56,7 @@ 560e49f5728797d8bbfb6eed963c6de1 src/cdrtools-2.0-kernel-26-patch.bz2 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz 9d88f2d090fcafcd0e2fa73b018b6e16 src/cipe-1.5.4.tar.gz -df7116898cdd80ce56721a91e9cff206 src/clamav-0.86.1.tar.gz +870de14ba123d6e9cba9850498c49f5d src/clamav-0.86.2.tar.gz 0c030b9eb8f0d36daae5a32b8920dfd0 src/compartment-1.2-suse-patches.diff.bz2 2df15081f6475e6331cdd813f9d0918c src/compartment-1.2.tar.bz2 80a2ce34e6ac028ffd3f3700c451d1c6 src/compartment-env.diff.bz2 @@ -65,7 +65,7 @@ 172ee3c315af93d3385ddfbeb843c53f src/coreutils-5.2.1.tar.bz2 f2e830491b5932ea7a729f6368548585 src/coreutils-patches.tar.bz2 e02859af1bbbbd73fcbf757acb57e0a4 src/cpio-2.5.tar.gz -c53247d26e769d154a810a498dd0322c src/cpqarrayd-2.0.tar.gz +d287d1ad9317443063aff1098f7bc4f4 src/cpqarrayd-2.2.tar.gz 5c356f45bde4233a9b2a5ae78ae4e9e1 src/cramfs-1.1.tar.gz c3331c0509e5f1e1ce26502d8be0c70b src/cron-4.1.tar.bz2 e0eb377840b01e11e5cd008ae9b7d2af src/cutter-1.02.tgz @@ -79,7 +79,7 @@ 44c6394b8e2e8feaf453aeddc8a3ee69 src/devfsd-v1.3.25.tar.gz 44920cd973a6abc79109af9bff9d8af6 src/device-mapper.1.00.07.tgz 44f72d16a12acc3fbe09703157aa42d2 src/dhcp-3.0.1.tar.gz -dd627a121e43835bead3ffef5b1a72fd src/dhcpcd-1.3.22-pl4.tar.gz +b84d34a44b6667ea012e0aad4f9d71bd src/dhcpcd-2.0.0.tar.bz2 de491252e0329e67aed27d1d01eed120 src/dialog_0.9b-20030308.orig.tar.gz 27ce98d689599f41639ab5c383b17e32 src/diffutils-2.8.1.tar.bz2 8ac5c032cde68c525afe9f53eae5cbf7 src/distcc-2.17.tar.bz2 @@ -105,11 +105,11 @@ 000211add4c4845ffa4211841bff4fb0 src/ez-ipupdate-3.0.11b8.tar.gz 1c5a2ea659680bdd1e238d7828a857a7 src/fam-2.6.10.tar.gz f60cb2a3378bb392c86ea6e4f8006cc0 src/fblogo-0.5.2.tar.gz -9956b30139edaa4f5f77c4d0dbd80225 src/fetchmail-6.2.5.tar.gz +6eefef076bf3517a870f27a6133ff8c4 src/fetchmail-6.2.5.2.tar.gz 66983e60087e8bcd588c8ab38a861af0 src/file-4.14.tar.gz 7c8e12165b221dd67a19c00d780437a4 src/findutils-4.2.20.tar.gz ca3f1990522815ccd0a78e9de3afad43 src/freeramdisk.tar.gz -52cd220295c09577753f5261b18f0b16 src/frox-0.7.17.tar.bz2 +d30c35b9820d706ff2f9a6ab3b501247 src/frox-0.7.18.tar.bz2 a0aa323568862e23fdbc6473ce6a01b5 src/fwlogwatch-1.0.tar.bz2 a116eec17e7ba085febb74c7758823bd src/gawk-3.1.3.tar.bz2 fd0111ff25e29a8d4864eeb51ef42101 src/gcc-3.3.1-no_fixincludes-2.patch.bz2 @@ -230,7 +230,7 @@ fc30378641cda1bb4e51f39cefd9249a src/makedepend.tar.bz2 ead468e61db27ffb4e416a15bc40aaeb src/man-1.5o1.tar.bz2 7e2d47fb1c3176812e8fd03572e52c92 src/man-pages-1.65.tar.bz2 -70804dc9e2049e24f294ff7090a82a12 src/mc-4.6.0.tar.gz +18b20db6e40480a53bac2870c56fc3c4 src/mc-4.6.1.tar.gz 3c7d6b3ca73ef12136746a8d06fc27a8 src/mcrypt-2.6.3.tar.gz 4de899ddb1ede1d2cafd183794874ce1 src/mdadm-1.12.0.tgz 46028d276c39c2eebe7759ba813f97df src/memtest86-3.2.tar.gz @@ -257,7 +257,7 @@ 66cf8dacec848eb11a70632fe9f21807 src/ncftp-3.1.9-src.tar.bz2 069c8880072060373290a4fefff43520 src/ncurses-5.4.tar.gz e8562d18b7b560887a96824cbc89a77f src/netacct-mysql-0.76.tar.gz -8080555ab3f90011f25d5122042d9a8d src/net-snmp-5.1.2.tar.gz +a66808688d85b6ecd2d387d155923fda src/net-snmp-5.1.3.1.tar.gz 71091a5dd65eac16ca841ce06e5de7fa src/net-tools_1.60-9-dl.diff.bz2 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 a383c30f684739dfeea4e72436061533 src/net-tools-fddi.diff.bz2 @@ -282,7 +282,7 @@ 6357c6487f17f5094980ee2d804644ef src/pci.ids.bz2 1d40f90aaae69594790bdb8ff90b4a41 src/pciutils-2.1.11.tar.gz 0d6d65be8896eff081aee996049afaa5 src/pcmcia-cs-3.2.8.tar.gz -c51bd34197008b128046f0799d2242e4 src/pcre-4.5.tar.bz2 +d8a2024eb56c331bb5c55601c3cd9ce1 src/pcre-6.2.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz 3eb135afd0114f4e1acdd4ad6b8fd947 src/perl-5.8.4.tar.bz2 e85b606fe48198bfcd785e5a5b1c9613 src/php-4.4.0.tar.bz2 @@ -292,12 +292,12 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz c203e22f74bdd968ee11105dd2a80ec0 src/portslave_2002.01.19.tar.gz -77394db3a4ebe578fa453502040698ac src/postfix-2.2.4.tar.gz +9c13d58494c64012bfd8ab0d6967305c src/postfix-2.2.5.tar.gz b79761ec3735b5851db44429e97bee88 src/postgresql-7.4.8.tar.bz2 64d4d21a24570f466e7cae7f893a2cf6 src/ppp-cvs_20040527.tar.gz 74033a4c7307d04c1edf7ad8d7a558af src/ppp-patches.tar.bz2 -067e9474998345485ba1e92cc5ff59c6 src/pptpd-1.2.1.tar.gz -281ee37788bdf3260426eca56a9af858 src/pptp-linux-1.5.0.tar.gz +a521e40ca304b0c125cc25f9b9d03324 src/pptpd-1.2.3.tar.gz +cd75c737718ac656e336709ccefab883 src/pptp-linux.1.6.0.tar.bz2 8bf8a24d79f5ae9759e1aacd1a3e98f2 src/pptp-patches.tar.bz2 1dfcb6e8aeb44a78d4bba53a99d7957c src/prism54-1.1.tar.bz2 134704f59307cfd3d6b1270a1aab62a4 src/prism54firmware.tar.bz2 @@ -333,7 +333,7 @@ 952fadd9f76e128ee9a4be350a647713 src/ser-0.8.12_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz 35f478c718c099f4c687602a1a99711d src/sg3_utils-1.12.tgz -89ebec0d1c0d861a5bd5c4c63e5cb0cc src/shadow-4.0.7.tar.bz2 +e60b7b16128b9e00576073389a0ff1e6 src/shadow-4.0.11.1.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz e454f4af193b8546d3c75fb82647051a src/shorewall-2.2.5.tgz fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz @@ -375,8 +375,8 @@ f6ceb3328c80e8e83349c458a0331991 src/usbat02-kernel-Makefile.diff.bz2 ff9002fdc1b99a9c4d1ebc52605297f0 src/usb.ids.bz2 05157bed61af65749f02713c10b8ef26 src/usbutils-0.11.tar.gz -e59e1e20e78d8d50ba26c43e1d887a19 src/util-linux-2.12i.tar.bz2 29d98a96e665eb93cffe8d990fcf1350 src/util-linux-2.12-kernel-2.6.patch.bz2 +54320aa1abbce00c0dc030e2c3afe5d7 src/util-linux-2.12q.tar.bz2 a6e98f81c3fc129b8343f4d90ee0e8af src/vhz-j64-2.4.23.patch.bz2 b4ca2f8b2f3bc1f0edfe7499ef4cd042 src/vhz-param.patch.bz2 821fda8f14d674346b87e3ef9cb96389 src/vim-6.3.tar.bz2 @@ -405,5 +405,4 @@ 4a6792c367a3e01e4af7b07f449039e9 src/yp-tools-2.8.tar.bz2 5206a99541f3b0ab90f1baa167392c4f src/zip23.tar.gz b1439812746bd6176401fcdac82eeabf src/zisofs-tools-1.0.6.tar.bz2 -1b8aab042d40979e456194c468fd72c5 src/zlib-1.2.2.tar.bz2 -cf52a9c970b97cab7c664d7435c7f7cf src/zlib-patches.tar.bz2 +debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz |
|
From: Bruce S. <bl...@us...> - 2005-08-10 20:38:59
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17927/scripts/scripts Modified Files: mysqld Log Message: Fix "stop" portion of mysql init.d script, and more BScap crap in firewall. Index: mysqld =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/mysqld,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- mysqld 10 Aug 2005 13:48:50 -0000 1.9 +++ mysqld 10 Aug 2005 20:38:51 -0000 1.10 @@ -45,17 +45,25 @@ case "$1" in start) - if [ ! -d $DATADIR ]; then - echo "Initializing new $NAME data dir: " - #mkdir -p $DATADIR - mysql_install_db $MYSQL_PARM + if [ "${MYSQL_PARM}" != "${MYSQL_PARM/--datadir=\//}" ]; then + DATADIR=${MYSQL_PARM##*--datadir=} + DATADIR=${DATADIR%% *} + [ ! -e ${DATADIR:-/var/mysql} ] && mkdir -p ${DATADIR:-/var/mysql} + if [ ! -d ${DATADIR:-/var/mysql}/mysql ]; then + echo "Initializing new $NAME data dir: " + mysql_install_db $MYSQL_PARM + fi fi echo "Starting $NAME: " $DAEMON $MYSQL_PARM &> /dev/null & ;; stop) + if [ "${MYSQL_PARM}" != "${MYSQL_PARM/--pid-file=\//}" ]; then + PIDFILE=${MYSQL_PARM##*--pid-file=} + PIDFILE=${DATADIR%% *} + fi echo -n "Shutting down $NAME: " - if [ -f $PIDFILE ]; then + if [ -f ${PIDFILE:=/var/run/mysql.pid} ]; then kill $(cat $PIDFILE) sleep 1 |
|
From: Bruce S. <bl...@us...> - 2005-08-10 20:38:58
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17927/config/etc/init.d Modified Files: firewall.rules.2nic firewall.rules.3nic Log Message: Fix "stop" portion of mysql init.d script, and more BScap crap in firewall. Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.12 retrieving revision 1.13 diff -u -d -r1.12 -r1.13 --- firewall.rules.3nic 10 Aug 2005 13:48:50 -0000 1.12 +++ firewall.rules.3nic 10 Aug 2005 20:38:51 -0000 1.13 @@ -130,6 +130,8 @@ ${IPTABLES} -t mangle -A PREROUTING -j SETTOS if [ -n "$BSCAP" ]; then + # Uncomment chmod if BScap is diskless and htdocs is under /root + # chmod a+x /root # Block outgoing port 25 to prevent spam from being sent [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " Index: firewall.rules.2nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.2nic,v retrieving revision 1.14 retrieving revision 1.15 diff -u -d -r1.14 -r1.15 --- firewall.rules.2nic 8 Aug 2005 20:48:32 -0000 1.14 +++ firewall.rules.2nic 10 Aug 2005 20:38:51 -0000 1.15 @@ -118,6 +118,8 @@ ${IPTABLES} -t mangle -A PREROUTING -j SETTOS if [ -n "$BSCAP" ]; then + # Uncomment chmod if BScap is diskless and htdocs is under /root + # chmod a+x /root # Block outgoing port 25 to prevent spam from being sent [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " |
|
From: Bruce S. <bl...@us...> - 2005-08-10 20:38:44
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17769/scripts/scripts Modified Files: Tag: rel-1-2-patches mysqld Log Message: Fix "stop" portion of mysql init.d script, and more BScap crap in firewall. Index: mysqld =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/mysqld,v retrieving revision 1.5.2.4 retrieving revision 1.5.2.5 diff -u -d -r1.5.2.4 -r1.5.2.5 --- mysqld 10 Aug 2005 13:46:59 -0000 1.5.2.4 +++ mysqld 10 Aug 2005 20:38:36 -0000 1.5.2.5 @@ -45,17 +45,25 @@ case "$1" in start) - if [ ! -d $DATADIR ]; then - echo "Initializing new $NAME data dir: " - #mkdir -p $DATADIR - mysql_install_db $MYSQL_PARM + if [ "${MYSQL_PARM}" != "${MYSQL_PARM/--datadir=\//}" ]; then + DATADIR=${MYSQL_PARM##*--datadir=} + DATADIR=${DATADIR%% *} + [ ! -e ${DATADIR:-/var/mysql} ] && mkdir -p ${DATADIR:-/var/mysql} + if [ ! -d ${DATADIR:-/var/mysql}/mysql ]; then + echo "Initializing new $NAME data dir: " + mysql_install_db $MYSQL_PARM + fi fi echo "Starting $NAME: " $DAEMON $MYSQL_PARM &> /dev/null & ;; stop) + if [ "${MYSQL_PARM}" != "${MYSQL_PARM/--pid-file=\//}" ]; then + PIDFILE=${MYSQL_PARM##*--pid-file=} + PIDFILE=${DATADIR%% *} + fi echo -n "Shutting down $NAME: " - if [ -f $PIDFILE ]; then + if [ -f ${PIDFILE:=/var/run/mysql.pid} ]; then kill $(cat $PIDFILE) sleep 1 |
|
From: Bruce S. <bl...@us...> - 2005-08-10 20:38:43
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17769/config/etc/init.d Modified Files: Tag: rel-1-2-patches firewall.rules.2nic firewall.rules.3nic Log Message: Fix "stop" portion of mysql init.d script, and more BScap crap in firewall. Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.10.2.2 retrieving revision 1.10.2.3 diff -u -d -r1.10.2.2 -r1.10.2.3 --- firewall.rules.3nic 10 Aug 2005 13:48:05 -0000 1.10.2.2 +++ firewall.rules.3nic 10 Aug 2005 20:38:36 -0000 1.10.2.3 @@ -130,6 +130,8 @@ ${IPTABLES} -t mangle -A PREROUTING -j SETTOS if [ -n "$BSCAP" ]; then + # Uncomment chmod if BScap is diskless and htdocs is under /root + # chmod a+x /root # Block outgoing port 25 to prevent spam from being sent [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " Index: firewall.rules.2nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.2nic,v retrieving revision 1.13.2.1 retrieving revision 1.13.2.2 diff -u -d -r1.13.2.1 -r1.13.2.2 --- firewall.rules.2nic 8 Aug 2005 20:41:12 -0000 1.13.2.1 +++ firewall.rules.2nic 10 Aug 2005 20:38:36 -0000 1.13.2.2 @@ -118,6 +118,8 @@ ${IPTABLES} -t mangle -A PREROUTING -j SETTOS if [ -n "$BSCAP" ]; then + # Uncomment chmod if BScap is diskless and htdocs is under /root + # chmod a+x /root # Block outgoing port 25 to prevent spam from being sent [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:48:58
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8781/scripts Modified Files: httpd mysql Log Message: Moved startup arguments to config. Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/httpd,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- httpd 12 Dec 2004 21:48:08 -0000 1.4 +++ httpd 10 Aug 2005 13:48:50 -0000 1.5 @@ -61,6 +61,7 @@ echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE + echo "${MYNAME}_PARM=\"-f /etc/apache2/httpd.conf\"" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"this is the well known Apache Web server\"" >> $SOFTWAREHELP fi Index: mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mysql,v retrieving revision 1.21 retrieving revision 1.22 diff -u -d -r1.21 -r1.22 --- mysql 29 Jun 2005 14:42:40 -0000 1.21 +++ mysql 10 Aug 2005 13:48:50 -0000 1.22 @@ -67,6 +67,7 @@ if [ "$CONFIG_MYSQL_SERVER" = "y" ]; then echo "# Start MySQL Server?" >> $CONFIGFILE echo "START_MYSQL=no" >> $CONFIGFILE + echo "MYSQL_PARM=\"--user=mysql --pid-file=/var/run/mysql.pid --datadir=/var/mysql\"" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_MYSQL=\"MySQL is a OpenSource DB Server\"" >> $SOFTWAREHELP cp $MYDIR/scripts/mysqld $ETCDIR/etc/init.d || exit 1 |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:48:58
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8781/scripts/scripts Modified Files: httpd mysqld setup Log Message: Moved startup arguments to config. Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/httpd,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- httpd 25 Jul 2005 17:16:58 -0000 1.2 +++ httpd 10 Aug 2005 13:48:50 -0000 1.3 @@ -23,7 +23,6 @@ NAME="Apache2" CONFIGNAME=APACHE2 DAEMON=/usr/sbin/httpd -PARAMETER="-f /etc/apache2/httpd.conf" # source function library source /etc/init.d/functions @@ -47,7 +46,7 @@ case "$1" in start) echo -n "Starting $NAME: " - loadproc $DAEMON $PARAMETER + loadproc $DAEMON $APACHE2_PARM ;; stop) echo -n "Shutting down $NAME: " Index: setup =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/setup,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- setup 26 Jul 2005 18:47:47 -0000 1.25 +++ setup 10 Aug 2005 13:48:50 -0000 1.26 @@ -859,10 +859,13 @@ NTPSERVER=$n done while true; do + source $CONFIG $DIALOG $BACKLAB --title "Other Services Menu" --backtitle "$BACKTITLE" \ --default-item "$NETDEF" \ --menu "Navigate with the arror keys, and press ENTER to select" 0 0 0 \ 'NTP' '--> Setup the NTP (time) Service ' \ + 'MySQL' '--> MySQL startup parameters ' \ + 'HTTP' '--> Apache2 startup parameters ' \ 2> $RESULT RETURN=$? NETDEF="$(cat $RESULT)" @@ -881,6 +884,14 @@ [ ! -f ${NTPST}.org -a -f $NTPST ] && mv $NTPST ${NTPST}.org echo "$NTPSERVER" > $NTPST ;; + MySQL) + inputbox "MySQL" "Enter the MySQL startup parameters" "$MYSQL_PARM" && \ + mod_config $CONFIG MYSQL_PARM "$(cat $RESULT)" + ;; + HTTP) + inputbox "HTTP" "Enter the Apache2 startup parameters" "$APACHE2_PARM" && \ + mod_config $CONFIG APACHE2_PARM "$(cat $RESULT)" + ;; esac else return Index: mysqld =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/mysqld,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- mysqld 25 Jul 2005 19:24:01 -0000 1.8 +++ mysqld 10 Aug 2005 13:48:50 -0000 1.9 @@ -23,9 +23,6 @@ NAME="MYSQL Server" CONFIGNAME=MYSQL DAEMON=/usr/bin/mysqld_safe -PIDFILE=/var/run/mysql.pid -DATADIR="/var/mysql" -PARAMETER="-u mysql --pid-file=$PIDFILE --datadir=$DATADIR" # source function library source /etc/init.d/functions @@ -41,7 +38,7 @@ test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then - echo + echo echo "$DAEMON not found. Did you install the package?" exit 1 fi @@ -50,11 +47,11 @@ start) if [ ! -d $DATADIR ]; then echo "Initializing new $NAME data dir: " - mkdir -p $DATADIR - mysql_install_db --user=mysql --datadir=$DATADIR + #mkdir -p $DATADIR + mysql_install_db $MYSQL_PARM fi echo "Starting $NAME: " - $DAEMON $PARAMETER &> /dev/null & + $DAEMON $MYSQL_PARM &> /dev/null & ;; stop) echo -n "Shutting down $NAME: " |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:48:58
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8781/config/etc/init.d Modified Files: firewall.rules.3nic Log Message: Moved startup arguments to config. Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- firewall.rules.3nic 8 Aug 2005 20:48:32 -0000 1.11 +++ firewall.rules.3nic 10 Aug 2005 13:48:50 -0000 1.12 @@ -38,7 +38,7 @@ echo "0" > /proc/sys/net/ipv4/ip_forward # Uncomment the following line to enable logging: -LOGGING="yes" +# LOGGING="yes" # Uncomment & set the next three vars to activate the BScap captive portal. #BSCAP="yes" |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:48:13
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8675/config/etc/init.d Modified Files: Tag: rel-1-2-patches firewall.rules.3nic Log Message: Fix defaults Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.10.2.1 retrieving revision 1.10.2.2 diff -u -d -r1.10.2.1 -r1.10.2.2 --- firewall.rules.3nic 8 Aug 2005 20:41:12 -0000 1.10.2.1 +++ firewall.rules.3nic 10 Aug 2005 13:48:05 -0000 1.10.2.2 @@ -38,7 +38,7 @@ echo "0" > /proc/sys/net/ipv4/ip_forward # Uncomment the following line to enable logging: -LOGGING="yes" +# LOGGING="yes" # Uncomment & set the next three vars to activate the BScap captive portal. #BSCAP="yes" |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:47:09
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8404/scripts/scripts Modified Files: Tag: rel-1-2-patches httpd mysqld setup Log Message: Moving startup arguments to config. Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/httpd,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- httpd 25 Jul 2005 17:15:43 -0000 1.1.2.1 +++ httpd 10 Aug 2005 13:46:59 -0000 1.1.2.2 @@ -23,7 +23,6 @@ NAME="Apache2" CONFIGNAME=APACHE2 DAEMON=/usr/sbin/httpd -PARAMETER="-f /etc/apache2/httpd.conf" # source function library source /etc/init.d/functions @@ -47,7 +46,7 @@ case "$1" in start) echo -n "Starting $NAME: " - loadproc $DAEMON $PARAMETER + loadproc $DAEMON $APACHE2_PARM ;; stop) echo -n "Shutting down $NAME: " Index: setup =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/setup,v retrieving revision 1.20.2.5 retrieving revision 1.20.2.6 diff -u -d -r1.20.2.5 -r1.20.2.6 --- setup 26 Jul 2005 18:47:35 -0000 1.20.2.5 +++ setup 10 Aug 2005 13:46:59 -0000 1.20.2.6 @@ -859,10 +859,13 @@ NTPSERVER=$n done while true; do + source $CONFIG $DIALOG $BACKLAB --title "Other Services Menu" --backtitle "$BACKTITLE" \ --default-item "$NETDEF" \ --menu "Navigate with the arror keys, and press ENTER to select" 0 0 0 \ 'NTP' '--> Setup the NTP (time) Service ' \ + 'MySQL' '--> MySQL startup parameters ' \ + 'HTTP' '--> Apache2 startup parameters ' \ 2> $RESULT RETURN=$? NETDEF="$(cat $RESULT)" @@ -881,6 +884,14 @@ [ ! -f ${NTPST}.org -a -f $NTPST ] && mv $NTPST ${NTPST}.org echo "$NTPSERVER" > $NTPST ;; + MySQL) + inputbox "MySQL" "Enter the MySQL startup parameters" "$MYSQL_PARM" && \ + mod_config $CONFIG MYSQL_PARM "$(cat $RESULT)" + ;; + HTTP) + inputbox "HTTP" "Enter the Apache2 startup parameters" "$APACHE2_PARM" && \ + mod_config $CONFIG APACHE2_PARM "$(cat $RESULT)" + ;; esac else return Index: mysqld =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/mysqld,v retrieving revision 1.5.2.3 retrieving revision 1.5.2.4 diff -u -d -r1.5.2.3 -r1.5.2.4 --- mysqld 25 Jul 2005 19:23:54 -0000 1.5.2.3 +++ mysqld 10 Aug 2005 13:46:59 -0000 1.5.2.4 @@ -23,9 +23,6 @@ NAME="MYSQL Server" CONFIGNAME=MYSQL DAEMON=/usr/bin/mysqld_safe -PIDFILE=/var/run/mysql.pid -DATADIR="/var/mysql" -PARAMETER="-u mysql --pid-file=$PIDFILE --datadir=$DATADIR" # source function library source /etc/init.d/functions @@ -41,7 +38,7 @@ test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then - echo + echo echo "$DAEMON not found. Did you install the package?" exit 1 fi @@ -50,11 +47,11 @@ start) if [ ! -d $DATADIR ]; then echo "Initializing new $NAME data dir: " - mkdir -p $DATADIR - mysql_install_db --user=mysql --datadir=$DATADIR + #mkdir -p $DATADIR + mysql_install_db $MYSQL_PARM fi echo "Starting $NAME: " - $DAEMON $PARAMETER &> /dev/null & + $DAEMON $MYSQL_PARM &> /dev/null & ;; stop) echo -n "Shutting down $NAME: " |
|
From: Bruce S. <bl...@us...> - 2005-08-10 13:47:08
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8404/scripts Modified Files: Tag: rel-1-2-patches httpd mysql Log Message: Moving startup arguments to config. Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/httpd,v retrieving revision 1.3 retrieving revision 1.3.2.1 diff -u -d -r1.3 -r1.3.2.1 --- httpd 11 Jan 2004 14:43:04 -0000 1.3 +++ httpd 10 Aug 2005 13:46:58 -0000 1.3.2.1 @@ -61,6 +61,7 @@ echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE + echo "${MYNAME}_PARM=\"-f /etc/apache2/httpd.conf\"" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"this is the well known Apache Web server\"" >> $SOFTWAREHELP fi Index: mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mysql,v retrieving revision 1.17.2.1 retrieving revision 1.17.2.2 diff -u -d -r1.17.2.1 -r1.17.2.2 --- mysql 27 Apr 2005 01:56:27 -0000 1.17.2.1 +++ mysql 10 Aug 2005 13:46:58 -0000 1.17.2.2 @@ -66,6 +66,7 @@ if [ "$CONFIG_MYSQL_SERVER" = "y" ]; then echo "# Start MySQL Server?" >> $CONFIGFILE echo "START_MYSQL=no" >> $CONFIGFILE + echo "MYSQL_PARM=\"--user=mysql --pid-file=/var/run/mysql.pid --datadir=/var/mysql\"" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_MYSQL=\"MySQL is a OpenSource DB Server\"" >> $SOFTWAREHELP cp $MYDIR/scripts/mysqld $ETCDIR/etc/init.d || exit 1 |
|
From: Bruce S. <bl...@us...> - 2005-08-10 05:07:19
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv9378 Modified Files: Tag: rel-1-2-patches firewall.rules.2nic firewall.rules.3nic Log Message: Rules for BScap captive portal. Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.10 retrieving revision 1.10.2.1 diff -u -d -r1.10 -r1.10.2.1 --- firewall.rules.3nic 12 Apr 2004 00:24:03 -0000 1.10 +++ firewall.rules.3nic 8 Aug 2005 20:41:12 -0000 1.10.2.1 @@ -38,7 +38,14 @@ echo "0" > /proc/sys/net/ipv4/ip_forward # Uncomment the following line to enable logging: -# LOGGING="yes" +LOGGING="yes" + +# Uncomment & set the next three vars to activate the BScap captive portal. +#BSCAP="yes" +# set to your DNS server IP's: (for BScap) +#DNSHOSTS="192.168.1.254 192.168.9.254" +# set to your private IP range: (for BScap) +#CAPNET="192.168.9.0/24" # Optional Modules: ${MODPROBE} ip_conntrack_ftp @@ -46,10 +53,17 @@ ${MODPROBE} ip_conntrack_irc ${MODPROBE} ip_nat_irc #${MODPROBE} ip_owner +${MODPROBE} ipt_state # Only needed if we're going to log. [ -n "$LOGGING" ] && ${MODPROBE} ipt_LOG +if [ -n "$BSCAP" ]; then + ${MODPROBE} ipt_mac + ${MODPROBE} ipt_mark + ${MODPROBE} ipt_REDIRECT +fi + # Flush tables & setup Policy ${IPTABLES} -F # flush chains ${IPTABLES} -X # delete user chains @@ -60,10 +74,19 @@ ${IPTABLES} -X -t $t ${IPTABLES} -Z -t $t done + +### BEGIN IPTABLES rules ### + ${IPTABLES} -P INPUT DROP # Policy = DROP ${IPTABLES} -P OUTPUT DROP # Drop all packets that are ${IPTABLES} -P FORWARD DROP # not specifically accepted. +# make interactive sesions a bit more interactive under load +${IPTABLES} -t mangle -N SETTOS +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput + # Local interface - do not delete! ${IPTABLES} -A INPUT -i lo -j ACCEPT ${IPTABLES} -A OUTPUT -o lo -j ACCEPT @@ -83,9 +106,6 @@ # Fast reject for Ident to eliminate email delays. ${IPTABLES} -A INPUT -p TCP --dport 113 -i ${OUT_DEV} -j REJECT --reject-with tcp-reset -# Masquerading (aka NAT, PAT, ...) -${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE - # Uncomment/modify the next 3 lines to allow access to one port on one IP on internal host from DMZ: # SERVER_IP=192.168.1.1 # Internal IP. # PORT=22 # 22 = SSH. Change to 80 for web server, etc. @@ -107,6 +127,43 @@ # PORT=25 # 25 = SMTP. Change to the port you wish to open. # ${IPTABLES} -A INPUT -p tcp --dport $PORT -i ${DMZ_DEV} -j ACCEPT +${IPTABLES} -t mangle -A PREROUTING -j SETTOS + +if [ -n "$BSCAP" ]; then + # Block outgoing port 25 to prevent spam from being sent + [ -n "$LOGGING" ] && \ + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j REJECT + # Open up 443 (https) for BScap admin connections from the outside. + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${OUT_DEV} -j ACCEPT + # Open up 22 (SSH) for remote DL administration + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 22 -i ${OUT_DEV} -j ACCEPT + # Allow DMZ connections to Apache for BScap + ${IPTABLES} -A INPUT -p tcp --dport 80 -i ${DMZ_DEV} -j ACCEPT + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${DMZ_DEV} -j ACCEPT + # Allow internal network access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING ! -s ${CAPNET} -o ${OUT_DEV} -j MASQUERADE + # Chain for BScap rules (manipulated externally with PHP) + ${IPTABLES} -t mangle -N BScap + ${IPTABLES} -t mangle -A PREROUTING -s ${CAPNET} -j MARK --set-mark 0x4 + ${IPTABLES} -t mangle -A PREROUTING -j BScap + # Redirect all unauthenticated Internet access to local web server + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 80 -j REDIRECT --to-ports 80 + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 443 -j REDIRECT --to-ports 443 + # Always allow DNS lookups + for h in $DNSHOSTS + do + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p tcp --dport 53 -j MASQUERADE + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p udp --dport 53 -j MASQUERADE + done + # Allow only BScap authenticated IP/MAC combo's access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -o ${OUT_DEV} -m mark --mark 0x2 -j MASQUERADE +else + # Masquerading for everyone (aka NAT, PAT, ...) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE +fi # Block invalid connections from the internet. [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -m state --state NEW,INVALID -i ${OUT_DEV} -j LOG --log-prefix "FORWARD INVALID: " @@ -132,11 +189,6 @@ ${IPTABLES} -t nat -A PREROUTING -p TCP --dport 445 -j DROP ${IPTABLES} -t nat -A PREROUTING -p UDP --dport 445 -j DROP -# make interactive sesions a bit more interactive under load -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput - # Log invalid packets from DROP policy: if [ -n "$LOGGING" ] ; then ${IPTABLES} -A INPUT -d 255.255.255.255 -j DROP # do not log broadcasts @@ -146,6 +198,8 @@ ${IPTABLES} -A FORWARD -m limit --limit 3/minute --limit-burst 3 -j LOG --log-prefix "FORWARD policy: " fi +### END IPTABLES rules ### + # enable dynamic IP address following echo 2 > /proc/sys/net/ipv4/ip_dynaddr Index: firewall.rules.2nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.2nic,v retrieving revision 1.13 retrieving revision 1.13.2.1 diff -u -d -r1.13 -r1.13.2.1 --- firewall.rules.2nic 12 Apr 2004 00:24:03 -0000 1.13 +++ firewall.rules.2nic 8 Aug 2005 20:41:12 -0000 1.13.2.1 @@ -39,16 +39,30 @@ # Uncomment the following line to enable logging: # LOGGING="yes" +# Uncomment & set the next three vars to activate the BScap captive portal. +#BSCAP="yes" +# set to your DNS server IP's: (for BScap) +#DNSHOSTS="192.168.1.254 192.168.9.254" +# set to your private IP range: (for BScap) +#CAPNET="192.168.1.0/24" + # Optional Modules: ${MODPROBE} ip_conntrack_ftp ${MODPROBE} ip_nat_ftp ${MODPROBE} ip_conntrack_irc ${MODPROBE} ip_nat_irc #${MODPROBE} ip_owner +${MODPROBE} ipt_state # Only needed if we're going to log. [ -n "$LOGGING" ] && ${MODPROBE} ipt_LOG +if [ -n "$BSCAP" ]; then + ${MODPROBE} ipt_mac + ${MODPROBE} ipt_mark + ${MODPROBE} ipt_REDIRECT +fi + # Flush tables & setup Policy ${IPTABLES} -F # flush chains ${IPTABLES} -X # delete user chains @@ -59,10 +73,19 @@ ${IPTABLES} -X -t $t ${IPTABLES} -Z -t $t done + +### BEGIN IPTABLES rules ### + ${IPTABLES} -P INPUT DROP # Policy = DROP ${IPTABLES} -P OUTPUT DROP # Drop all packets that are ${IPTABLES} -P FORWARD DROP # not specifically accepted. +# make interactive sesions a bit more interactive under load +${IPTABLES} -t mangle -N SETTOS +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput + # Local interface - do not delete! ${IPTABLES} -A INPUT -i lo -j ACCEPT ${IPTABLES} -A OUTPUT -o lo -j ACCEPT @@ -82,9 +105,6 @@ # Fast reject for Ident to eliminate email delays. ${IPTABLES} -A INPUT -p TCP --dport 113 -i ${OUT_DEV} -j REJECT --reject-with tcp-reset -# Masquerading (aka NAT, PAT, ...) -${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE - # Uncomment/modify the next 4 lines to forward a service to an internal IP. # SERVER_IP=192.168.1.1 # Internal IP of server. # PORT=22 # 22 = SSH. Change to 80 for web server, etc. @@ -95,6 +115,39 @@ # PORT=25 # 25 = SMTP. Change to the port you wish to open. # ${IPTABLES} -A INPUT -p tcp --dport $PORT -i ${OUT_DEV} -j ACCEPT +${IPTABLES} -t mangle -A PREROUTING -j SETTOS + +if [ -n "$BSCAP" ]; then + # Block outgoing port 25 to prevent spam from being sent + [ -n "$LOGGING" ] && \ + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j REJECT + # Open up 443 (https) for BScap admin connections from the outside. + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${OUT_DEV} -j ACCEPT + # Open up 22 (SSH) for remote DL administration + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 22 -i ${OUT_DEV} -j ACCEPT + # Chain for BScap rules (manipulated externally with PHP) + ${IPTABLES} -t mangle -N BScap + ${IPTABLES} -t mangle -A PREROUTING -i ${INT_DEV} -j MARK --set-mark 0x4 + ${IPTABLES} -t mangle -A PREROUTING -j BScap + # Redirect all unauthenticated Internet access to local web server + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 80 -j REDIRECT --to-ports 80 + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 443 -j REDIRECT --to-ports 443 + # Always allow DNS lookups + for h in $DNSHOSTS + do + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p tcp --dport 53 -j MASQUERADE + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p udp --dport 53 -j MASQUERADE + done + # Allow only BScap authenticated IP/MAC combo's access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -m mark --mark 0x2 -j MASQUERADE +else + # Masquerading for everyone (aka NAT, PAT, ...) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE +fi + # Block invalid connections from the internet. [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -m state --state NEW,INVALID -i ${OUT_DEV} -j LOG --log-prefix "FORWARD INVALID: " @@ -112,11 +165,6 @@ ${IPTABLES} -t nat -A PREROUTING -p TCP --dport 445 -j DROP ${IPTABLES} -t nat -A PREROUTING -p UDP --dport 445 -j DROP -# make interactive sesions a bit more interactive under load -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput - # Log invalid packets from DROP policy: if [ -n "$LOGGING" ] ; then ${IPTABLES} -A INPUT -d 255.255.255.255 -j DROP # do not log broadcasts @@ -126,6 +174,8 @@ ${IPTABLES} -A FORWARD -m limit --limit 3/minute --limit-burst 3 -j LOG --log-prefix "FORWARD policy: " fi +### END IPTABLES rules ### + # enable dynamic IP address following echo 2 > /proc/sys/net/ipv4/ip_dynaddr |
|
From: Bruce S. <bl...@us...> - 2005-08-10 03:40:17
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv11604 Modified Files: firewall.rules.2nic firewall.rules.3nic Log Message: Rules for BScap captive portal Index: firewall.rules.3nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.3nic,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- firewall.rules.3nic 12 Apr 2004 00:24:03 -0000 1.10 +++ firewall.rules.3nic 8 Aug 2005 20:48:32 -0000 1.11 @@ -38,7 +38,14 @@ echo "0" > /proc/sys/net/ipv4/ip_forward # Uncomment the following line to enable logging: -# LOGGING="yes" +LOGGING="yes" + +# Uncomment & set the next three vars to activate the BScap captive portal. +#BSCAP="yes" +# set to your DNS server IP's: (for BScap) +#DNSHOSTS="192.168.1.254 192.168.9.254" +# set to your private IP range: (for BScap) +#CAPNET="192.168.9.0/24" # Optional Modules: ${MODPROBE} ip_conntrack_ftp @@ -46,10 +53,17 @@ ${MODPROBE} ip_conntrack_irc ${MODPROBE} ip_nat_irc #${MODPROBE} ip_owner +${MODPROBE} ipt_state # Only needed if we're going to log. [ -n "$LOGGING" ] && ${MODPROBE} ipt_LOG +if [ -n "$BSCAP" ]; then + ${MODPROBE} ipt_mac + ${MODPROBE} ipt_mark + ${MODPROBE} ipt_REDIRECT +fi + # Flush tables & setup Policy ${IPTABLES} -F # flush chains ${IPTABLES} -X # delete user chains @@ -60,10 +74,19 @@ ${IPTABLES} -X -t $t ${IPTABLES} -Z -t $t done + +### BEGIN IPTABLES rules ### + ${IPTABLES} -P INPUT DROP # Policy = DROP ${IPTABLES} -P OUTPUT DROP # Drop all packets that are ${IPTABLES} -P FORWARD DROP # not specifically accepted. +# make interactive sesions a bit more interactive under load +${IPTABLES} -t mangle -N SETTOS +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput + # Local interface - do not delete! ${IPTABLES} -A INPUT -i lo -j ACCEPT ${IPTABLES} -A OUTPUT -o lo -j ACCEPT @@ -83,9 +106,6 @@ # Fast reject for Ident to eliminate email delays. ${IPTABLES} -A INPUT -p TCP --dport 113 -i ${OUT_DEV} -j REJECT --reject-with tcp-reset -# Masquerading (aka NAT, PAT, ...) -${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE - # Uncomment/modify the next 3 lines to allow access to one port on one IP on internal host from DMZ: # SERVER_IP=192.168.1.1 # Internal IP. # PORT=22 # 22 = SSH. Change to 80 for web server, etc. @@ -107,6 +127,43 @@ # PORT=25 # 25 = SMTP. Change to the port you wish to open. # ${IPTABLES} -A INPUT -p tcp --dport $PORT -i ${DMZ_DEV} -j ACCEPT +${IPTABLES} -t mangle -A PREROUTING -j SETTOS + +if [ -n "$BSCAP" ]; then + # Block outgoing port 25 to prevent spam from being sent + [ -n "$LOGGING" ] && \ + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j REJECT + # Open up 443 (https) for BScap admin connections from the outside. + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${OUT_DEV} -j ACCEPT + # Open up 22 (SSH) for remote DL administration + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 22 -i ${OUT_DEV} -j ACCEPT + # Allow DMZ connections to Apache for BScap + ${IPTABLES} -A INPUT -p tcp --dport 80 -i ${DMZ_DEV} -j ACCEPT + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${DMZ_DEV} -j ACCEPT + # Allow internal network access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING ! -s ${CAPNET} -o ${OUT_DEV} -j MASQUERADE + # Chain for BScap rules (manipulated externally with PHP) + ${IPTABLES} -t mangle -N BScap + ${IPTABLES} -t mangle -A PREROUTING -s ${CAPNET} -j MARK --set-mark 0x4 + ${IPTABLES} -t mangle -A PREROUTING -j BScap + # Redirect all unauthenticated Internet access to local web server + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 80 -j REDIRECT --to-ports 80 + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 443 -j REDIRECT --to-ports 443 + # Always allow DNS lookups + for h in $DNSHOSTS + do + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p tcp --dport 53 -j MASQUERADE + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p udp --dport 53 -j MASQUERADE + done + # Allow only BScap authenticated IP/MAC combo's access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -o ${OUT_DEV} -m mark --mark 0x2 -j MASQUERADE +else + # Masquerading for everyone (aka NAT, PAT, ...) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE +fi # Block invalid connections from the internet. [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -m state --state NEW,INVALID -i ${OUT_DEV} -j LOG --log-prefix "FORWARD INVALID: " @@ -132,11 +189,6 @@ ${IPTABLES} -t nat -A PREROUTING -p TCP --dport 445 -j DROP ${IPTABLES} -t nat -A PREROUTING -p UDP --dport 445 -j DROP -# make interactive sesions a bit more interactive under load -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput - # Log invalid packets from DROP policy: if [ -n "$LOGGING" ] ; then ${IPTABLES} -A INPUT -d 255.255.255.255 -j DROP # do not log broadcasts @@ -146,6 +198,8 @@ ${IPTABLES} -A FORWARD -m limit --limit 3/minute --limit-burst 3 -j LOG --log-prefix "FORWARD policy: " fi +### END IPTABLES rules ### + # enable dynamic IP address following echo 2 > /proc/sys/net/ipv4/ip_dynaddr Index: firewall.rules.2nic =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/firewall.rules.2nic,v retrieving revision 1.13 retrieving revision 1.14 diff -u -d -r1.13 -r1.14 --- firewall.rules.2nic 12 Apr 2004 00:24:03 -0000 1.13 +++ firewall.rules.2nic 8 Aug 2005 20:48:32 -0000 1.14 @@ -39,16 +39,30 @@ # Uncomment the following line to enable logging: # LOGGING="yes" +# Uncomment & set the next three vars to activate the BScap captive portal. +#BSCAP="yes" +# set to your DNS server IP's: (for BScap) +#DNSHOSTS="192.168.1.254 192.168.9.254" +# set to your private IP range: (for BScap) +#CAPNET="192.168.1.0/24" + # Optional Modules: ${MODPROBE} ip_conntrack_ftp ${MODPROBE} ip_nat_ftp ${MODPROBE} ip_conntrack_irc ${MODPROBE} ip_nat_irc #${MODPROBE} ip_owner +${MODPROBE} ipt_state # Only needed if we're going to log. [ -n "$LOGGING" ] && ${MODPROBE} ipt_LOG +if [ -n "$BSCAP" ]; then + ${MODPROBE} ipt_mac + ${MODPROBE} ipt_mark + ${MODPROBE} ipt_REDIRECT +fi + # Flush tables & setup Policy ${IPTABLES} -F # flush chains ${IPTABLES} -X # delete user chains @@ -59,10 +73,19 @@ ${IPTABLES} -X -t $t ${IPTABLES} -Z -t $t done + +### BEGIN IPTABLES rules ### + ${IPTABLES} -P INPUT DROP # Policy = DROP ${IPTABLES} -P OUTPUT DROP # Drop all packets that are ${IPTABLES} -P FORWARD DROP # not specifically accepted. +# make interactive sesions a bit more interactive under load +${IPTABLES} -t mangle -N SETTOS +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay +${IPTABLES} -A SETTOS -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput + # Local interface - do not delete! ${IPTABLES} -A INPUT -i lo -j ACCEPT ${IPTABLES} -A OUTPUT -o lo -j ACCEPT @@ -82,9 +105,6 @@ # Fast reject for Ident to eliminate email delays. ${IPTABLES} -A INPUT -p TCP --dport 113 -i ${OUT_DEV} -j REJECT --reject-with tcp-reset -# Masquerading (aka NAT, PAT, ...) -${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE - # Uncomment/modify the next 4 lines to forward a service to an internal IP. # SERVER_IP=192.168.1.1 # Internal IP of server. # PORT=22 # 22 = SSH. Change to 80 for web server, etc. @@ -95,6 +115,39 @@ # PORT=25 # 25 = SMTP. Change to the port you wish to open. # ${IPTABLES} -A INPUT -p tcp --dport $PORT -i ${OUT_DEV} -j ACCEPT +${IPTABLES} -t mangle -A PREROUTING -j SETTOS + +if [ -n "$BSCAP" ]; then + # Block outgoing port 25 to prevent spam from being sent + [ -n "$LOGGING" ] && \ + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j LOG --log-prefix "Outgoing email: " + ${IPTABLES} -A FORWARD -p tcp --dport 25 -i ${DMZ_DEV} -j REJECT + # Open up 443 (https) for BScap admin connections from the outside. + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 443 -i ${OUT_DEV} -j ACCEPT + # Open up 22 (SSH) for remote DL administration + # Add a "-s" to limit the connections to a specific network or IP. + ${IPTABLES} -A INPUT -p tcp --dport 22 -i ${OUT_DEV} -j ACCEPT + # Chain for BScap rules (manipulated externally with PHP) + ${IPTABLES} -t mangle -N BScap + ${IPTABLES} -t mangle -A PREROUTING -i ${INT_DEV} -j MARK --set-mark 0x4 + ${IPTABLES} -t mangle -A PREROUTING -j BScap + # Redirect all unauthenticated Internet access to local web server + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 80 -j REDIRECT --to-ports 80 + ${IPTABLES} -t nat -A PREROUTING -p tcp -m mark --mark 0x4 --dport 443 -j REDIRECT --to-ports 443 + # Always allow DNS lookups + for h in $DNSHOSTS + do + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p tcp --dport 53 -j MASQUERADE + ${IPTABLES} -t nat -A POSTROUTING -s ${CAPNET} -d $h -p udp --dport 53 -j MASQUERADE + done + # Allow only BScap authenticated IP/MAC combo's access to Internet (Masquerading) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -m mark --mark 0x2 -j MASQUERADE +else + # Masquerading for everyone (aka NAT, PAT, ...) + ${IPTABLES} -t nat -A POSTROUTING -o ${OUT_DEV} -j MASQUERADE +fi + # Block invalid connections from the internet. [ -n "$LOGGING" ] && \ ${IPTABLES} -A FORWARD -m state --state NEW,INVALID -i ${OUT_DEV} -j LOG --log-prefix "FORWARD INVALID: " @@ -112,11 +165,6 @@ ${IPTABLES} -t nat -A PREROUTING -p TCP --dport 445 -j DROP ${IPTABLES} -t nat -A PREROUTING -p UDP --dport 445 -j DROP -# make interactive sesions a bit more interactive under load -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ssh -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp -j TOS --set-tos Minimize-Delay -${IPTABLES} -A PREROUTING -t mangle -p TCP --sport ftp-data -j TOS --set-tos Maximize-Throughput - # Log invalid packets from DROP policy: if [ -n "$LOGGING" ] ; then ${IPTABLES} -A INPUT -d 255.255.255.255 -j DROP # do not log broadcasts @@ -126,6 +174,8 @@ ${IPTABLES} -A FORWARD -m limit --limit 3/minute --limit-burst 3 -j LOG --log-prefix "FORWARD policy: " fi +### END IPTABLES rules ### + # enable dynamic IP address following echo 2 > /proc/sys/net/ipv4/ip_dynaddr |
|
From: Bruce S. <bl...@us...> - 2005-08-09 22:44:18
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv16896/scripts/scripts Modified Files: Tag: rel-1-2-patches upgrade-config Log Message: Fix bug in upgrade files 'help' and add pauses to see potential errors. Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.22.2.3 retrieving revision 1.22.2.4 diff -u -d -r1.22.2.3 -r1.22.2.4 --- upgrade-config 29 Apr 2005 14:48:38 -0000 1.22.2.3 +++ upgrade-config 9 Aug 2005 13:37:54 -0000 1.22.2.4 @@ -124,7 +124,7 @@ comparesubstr "$f" "etc/init.d/" && onoff="off" comparesubstr "$f" "etc/init.d/firewall.rules" && onoff="on" comparesubstr "$f" "etc/init.d/boot.local" && onoff="on" - finfo=$(ls -la $f) + finfo=$(ls -a $f) cmp -s $f newconfig/$f || echo $f \"\" $onoff \"$finfo\" >> $TMPD done @@ -232,6 +232,8 @@ fi done +pause + echo if askyesno "/etc/sysconfig/config migration" "Do you want to migrate old values to your new /etc/sysconfig/config ?" yes then @@ -251,6 +253,8 @@ done fi +pause + if askyesno "User and Group migration" "Do you want to migrate your old users, groups and passwords?" yes ; then migrateid () { |
|
From: Bruce S. <bl...@us...> - 2005-08-09 22:43:39
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv18981 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: More updates! Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.138 retrieving revision 1.807.2.139 diff -u -d -r1.807.2.138 -r1.807.2.139 --- CHANGES 5 Aug 2005 18:18:09 -0000 1.807.2.138 +++ CHANGES 9 Aug 2005 13:47:01 -0000 1.807.2.139 @@ -22,6 +22,8 @@ # 1.2.7 +- firewall rules support for BScap captive portal (not on default) (bs) +- fixes to upgrade-config (bs) - updated cron to v4.1 (bs) fixes defunct process problem - updated id3 to v0.76 - Enhanced the setup program to configure a basic NTP service (bs) |
|
From: Bruce S. <bl...@us...> - 2005-08-05 18:23:02
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17994 Modified Files: CHANGES md5sum.lst Log Message: Updated cron to v4.1 - fixed defunct processes problem Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.961 retrieving revision 1.962 diff -u -d -r1.961 -r1.962 --- CHANGES 28 Jul 2005 15:54:38 -0000 1.961 +++ CHANGES 5 Aug 2005 18:22:37 -0000 1.962 @@ -22,6 +22,7 @@ # 1.3.2 +- Updated cron to v4.1 (bs) fixed defunct processes problem - updated db-4 to 4.3.28 - updated pcre to 6.1 - updated gnugk to 2.2.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.218 retrieving revision 1.219 diff -u -d -r1.218 -r1.219 --- md5sum.lst 29 Jul 2005 21:07:52 -0000 1.218 +++ md5sum.lst 5 Aug 2005 18:22:37 -0000 1.219 @@ -78,7 +78,7 @@ f229958a55e2a14a8005d8bc483b427c src/coreutils-patches.tar.bz2 e02859af1bbbbd73fcbf757acb57e0a4 src/cpio-2.5.tar.gz c53247d26e769d154a810a498dd0322c src/cpqarrayd-2.0.tar.gz -97456d1da7da7140324116fb55b7957e src/cron-3.0.1-suse.tar.bz2 +c3331c0509e5f1e1ce26502d8be0c70b src/cron-4.1.tar.bz2 a84124caadd4103270e0b84596ecfe83 src/ctags-5.5.4.tar.gz e0eb377840b01e11e5cd008ae9b7d2af src/cutter-1.02.tgz e930ce9a6e75c06555cadb13796d04c4 src/cvs-1.12.12.tar.bz2 |
|
From: Bruce S. <bl...@us...> - 2005-08-05 18:23:02
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17994/scripts Modified Files: cron Log Message: Updated cron to v4.1 - fixed defunct processes problem Index: cron =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/cron,v retrieving revision 1.21 retrieving revision 1.22 diff -u -d -r1.21 -r1.22 --- cron 12 Dec 2004 21:48:08 -0000 1.21 +++ cron 5 Aug 2005 18:22:38 -0000 1.22 @@ -46,8 +46,8 @@ cp -p $MYDIR/scripts/cron.interval $CDDIR/usr/sbin/ || exit 1 chmod 755 $CDDIR/usr/sbin/cron.interval || exit 1 mkdir -p $ETCDIR/etc/cron.{hourly,daily,weekly,monthly} || exit 1 - mkdir -p $CDDIR/var/spool/cron/lastrun - mkdir -p $CDDIR/var/spool/cron/tabs +# mkdir -p $CDDIR/var/spool/cron/lastrun + mkdir -p $CDDIR/var/cron/tabs echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE |
|
From: Bruce S. <bl...@us...> - 2005-08-05 18:18:25
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv16603 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: Updated cron to v4.1 - fixes defunct processes problem Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.137 retrieving revision 1.807.2.138 diff -u -d -r1.807.2.137 -r1.807.2.138 --- CHANGES 27 Jul 2005 18:24:27 -0000 1.807.2.137 +++ CHANGES 5 Aug 2005 18:18:09 -0000 1.807.2.138 @@ -22,6 +22,7 @@ # 1.2.7 +- updated cron to v4.1 (bs) fixes defunct process problem - updated id3 to v0.76 - Enhanced the setup program to configure a basic NTP service (bs) - MySQL starts out of the box (bs) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.79 retrieving revision 1.102.2.80 diff -u -d -r1.102.2.79 -r1.102.2.80 --- md5sum.lst 27 Jul 2005 18:24:28 -0000 1.102.2.79 +++ md5sum.lst 5 Aug 2005 18:18:10 -0000 1.102.2.80 @@ -67,7 +67,7 @@ e02859af1bbbbd73fcbf757acb57e0a4 src/cpio-2.5.tar.gz c53247d26e769d154a810a498dd0322c src/cpqarrayd-2.0.tar.gz 5c356f45bde4233a9b2a5ae78ae4e9e1 src/cramfs-1.1.tar.gz -97456d1da7da7140324116fb55b7957e src/cron-3.0.1-suse.tar.bz2 +c3331c0509e5f1e1ce26502d8be0c70b src/cron-4.1.tar.bz2 e0eb377840b01e11e5cd008ae9b7d2af src/cutter-1.02.tgz e930ce9a6e75c06555cadb13796d04c4 src/cvs-1.12.12.tar.bz2 70b3bba526a8d36d3bb23a87d37e9188 src/cyrus-imapd-2.2.12.tar.gz |